Divinity: Original Sin 2 Definitive Edition Switch NSP XCI

Release Year Sep 04, 2019
Genre Role-Playing, Strategy, Adventure, Multiplayer
Developer Larian Studios, The Dragon Commanders
Publisher Larian Studios
Image Format NSP XCI
Game Version 1.0.8
Language English, French, German, Italian, Spanish, Russian, Chinese
Required firmware 10.0.4, Atmosphere 0.12 & SX OS 2.9.5)
Multiplayer up to 4 players
Age rating 17+
pic
Description: The divine is dead. The void is coming. And hitherto unknown forces awaken inside you. The battle for divinity has begun. Choose carefully whom to believe: in these difficult times, darkness can lurk in every heart.
What do you want to become? An elf eating flesh of fellow humans? Royal lizard? Dead man, risen from the grave? The world around you will respond to you depending on your choice.
The time has come for a new god! Gather a squad and develop relationships with satellites. Deal with enemies in thoughtful tactical turn-based battles. Use the landscape as a weapon; use height to gain an advantage and trap enemies.
pic pic pic pic pic pic

Download
ID=010027400CDC6000
Base NSP 10.44 GB GdriveUptoboxMega1Fichier
Base XCI 10.44 GB GdriveUptobox Mega1Fichier
Update 1.0.8 NSP 1.31 GB GdriveUptoboxMega1FichierMediaFire
Base + v1.0.8 XCI 11.76 GB Uptobox – Mega – 1Fichier
OLD Update v1.0.6
Divinity Original Sin 2 Definitive Edition [010027400CDC6800][v65536].ns p 143.14 MB
GdriveUptoboxMega

12 Replies to “Divinity: Original Sin 2 Definitive Edition Switch NSP XCI”

  1. Doesn’t work for me, says “Software couldn’t be started, try again from HOME menu”
    Never had a problem with a game before… WHy is that?

  2. I’m on 7 but with Sept by Atmosphere using the tinfoil option “ignore required firmware”. It works for all games even Astral Chain but this one doesn’t 🙁

  3. 9/5/19 – cannot run game too. loaded newest atmosphere and sd payloads from sdsetup.com and I have error while trying to run it that software update is needed.

  4. Hello, I’m having trouble on 8.1.0 and atmosphere 9.0.3, seems like the file is corrupted or something and shows an error message when opening…
    I have tried without update and with update but same error
    Help me please?

  5. So I was trying to play local co-op with a couple of friends. One unhacked and 2 hacked Switch’s. The unhacked one had the update applied so we couldn’t play with him. We knew the update breaks the game on hacked Switch’s with non known fix, but since we had no other way to play together we tried to use the option to “Match Version with Local Sync”.

    Using this the unhacked Switch pushed the update to the 2 hacked Switch’s. And 1 of them worked perfectly and is now running the game on version 1.0.1. But the other did not and gave the error!!

    I can think if no difference between these two Switch’s!! Both launch Switch’s with the latest Atmosphere, installed the same NSP using Lithium over NUT. Same everything that I can think of!!!

    Any ideas??? This is the only game i know of that is broke if you update it! Has anyone else been able to get this update installed??

    Thanks

Leave a Reply